# Cal Wing
# Sep 2024

from nptdms import TdmsFile

from makeGraph import makeGraph, pltKeyClose, UQ_COLOURS as UQC


DATA_FILE = './data/x2s4111/databox/x2s4111.tdms'


def main():
    data = TdmsFile.read(DATA_FILE)

    channels = data.groups()[0].channels()

    graphData = {
        "plots": []
    }

    for channel in channels[1:15]:
        graphData["plots"].append({
            "x": channels[0][:],
            "y": channel[:],
            "label": channel.name
        })

    makeGraph(graphData, showPlot=True, doProgramBlock=False)



if __name__ == '__main__':
    main()

    pltKeyClose()